FTD Mercury X3 Installation Instructions

From FloristWiki

Jump to: navigation, search

Contents

Be sure to check out what is new & enhanced in FTD Mercury X3!

Minimum Requirements for FTD Mercury Servers

Before upgrading to FTD Mercury X3, your server must be running FTD Mercury X2 or FTD Mercury X2 Fall. If you have not yet installed one of these versions, contact the Mercury Technology Assistance Center at 1-888-309-2244 for assistance. You must have a high-speed Internet connection (DSL, etc.). Additionally, you must process credit cards over the Internet (CCAPI) and Mercury Messages over the Internet.

IMPORTANT: Your server must have been bought from FTD. We do not support servers purchased from elsewhere.

Windows Server 2003 (SP1 or later) is required if you have 5 clients or more; either Windows Server 2003 (SP1 or later) or Windows XP Professional (SP2 or later) can be used for less than 5 clients.

Component Minimum Requirement
CPU HP d530, HP dc7100, HP dc7600, HP dc7700, HP dc7800, HP rp5000, HP rp5700, or HP ProLiant ML350
Memory 2 GB
Hard Drive Space 3 GB free space on C: drive
Video
  • All VGA with minimum of 1024 x 768 resolution
  • 16-bit color
  • Small/normal font size
Operating System
  • Less than 5 Clients - Windows XP Professional SP2
  • 5 or More Clients - Windows Server 2003 SP2

Important: Windows 98, Windows 2000, Windows XP Home, Windows Vista, and Windows 7 are not supported on the server.

Database
  • Less than 5 Clients - Microsoft SQL Server 2005 Express Edition SP2
  • 5 or More Clients - Microsoft SQL Server 2005 Standard Edition SP2
Web Browser Microsoft Internet Explorer 7 or later is required.
Accounting Software U.S or Canadian versions of QuickBooks 2008, QuickBooks 2009, QuickBooks 2010, or QuickBooks 2011

No other versions of QuickBooks are supported.

Mapping Software Microsoft MapPoint 2006, Microsoft MapPoint 2009, or Microsoft MapPoint 2010
Bar Code Scanner Only the Symbol LS2208 and the Symbol LS4278 scanners are supported for new bar coding functionality.
Other Software
  • Mercury Delivery, Mercury Marketing, and report generation require Microsoft Office (XP or later)
  • Norton AntiVirus 7.6 (Symantec AntiVirus 10.0 or later strongly recommended)

Upgrading the Server to FTD Mercury X3

Before you upgrade, FTD strongly recommends you back up your current FTD Mercury database.

Your server will automatically upgrade to FTD Mercury X3 during the automatic software update installation period. When that upgrade is completed, your clients will then automatically upgrade to FTD Mercury X3.

You must be confirmed for the upgrade and you should also have received communication about when the upgrade will be performed. If you have not requested to receive FTD Mercury X3 please contact support at 888-309-2244.

Minimum Requirements for Client PCs

The following are minimum requirements for client PCs. If your client PC does not meet these requirements, FTD will not support it. Both the FTD Mercury Server and all clients must be on the same FTD Mercury version; if you upgrade your server to FTD Mercury X3, you must also upgrade your client(s) to FTD Mercury X3.

IMPORTANT: You cannot use your own PC for Point of Sale; you must have bought the FTD Mercury client hardware and Point of Sale hardware/peripherals from FTD. We do not support Point of Sale hardware not purchased from FTD.

Component Minimum Requirement
CPU PC-compatible 900 MHz (1.5 GHz recommended for Mercury Delivery, Mercury Marketing, or if using Windows Vista or Windows 7)
Memory 1 GB (we strongly recommend 2GB if running Mercury Delivery, Mercury Marketing, or if using Windows Vista or Windows 7)
Hard Drive Space 3 GB free space on C: drive
Video
  • All VGA with minimum of 1024 x 768 resolution
  • 16-bit color
  • Small/normal font size
Operating System
  • Microsoft Windows XP Professional SP2
  • Microsoft Windows Vista Business
  • Microsoft Windows 7 Professional (for computers that do not use Point of Sale hardware)

IMPORTANT: Windows 98, Windows 2000, Windows XP Home, other “flavors” of Windows Vista (aside from Windows Vista Business), and other "flavors" of Windows 7 (aside from Windows 7 Professional) are not supported.

Web Browser Microsoft Internet Explorer 7 or later is required.
Accounting Software U.S or Canadian versions of QuickBooks 2008, QuickBooks 2009, or QuickBooks 2010

No other versions of QuickBooks are supported.

Mapping Software Microsoft MapPoint 2006, Microsoft MapPoint 2009, or Microsoft MapPoint 2010
Bar Code Scanner Only the Symbol LS2208 and the Symbol LS4278 scanners are supported for new bar coding functionality.
Other Software
  • Mercury Delivery, Mercury Marketing, and report generation require Microsoft Office (XP or later)
  • Norton AntiVirus 7.6 (Symantec AntiVirus 10.0 or later strongly recommended)

Upgrading Client PCs to FTD Mercury X3

Once your FTD Mercury Server has finished the upgrade to FTD Mercury X3, your client computers will automatically upgrade to FTD Mercury X3 during the automatic software update installation period. Your clients and server must be running the same version to work.



Back to FTD Mercury Documentation

Personal tools